#include <iostream>
#include <cmath>
long long maks(long long a[],long r);
using namespace std;

int main()
{
    long long x,n;
    int v;
    int s;
    long m=0,r=0;
    cin >> n >> x;
    long long a[n];
    long long b[n];
    for(long long i=0;i<n;i++)
    {
        cin>>v;
        if(v<x)
        {
            v=abs(x-v);
            a[r]=v;
            r=r+1;
        }
        else
        {
            v=abs(x-v);
            b[m]=v;
            m=m+1;
        }
    }
    int m1=maks(a,r);
    int m2=maks(b,m);
    if(r==0 && m!=0)
    {
        s=m2;
    }
    if(m==0 && r!=0)
    {
        s=m1;
    }
    if(m!=0 && r!=0)
    {
        if(m1>m2)
        {
            s=2*m2+m1;
        }
        else
        {
            s=2*m1+m2;
        }
    }
    cout << s;
    return 0;
}
long long maks(long long a[],long r)
{
    int m=a[0];
    for(int i=0;i<r;i++)
    {
        if(m<a[i])
        {
            m=a[i];
        }
    }
    return m;
}